Skip to main content
POST
/
v1
/
devices
/
hvac
/
{id}
/
remove
remove HVAC
curl --request POST \
  --url https://api.example.com/v1/devices/hvac/{id}/remove \
  --header 'x-ws-api-key: <api-key>'
import requests

url = "https://api.example.com/v1/devices/hvac/{id}/remove"

headers = {"x-ws-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-ws-api-key': '<api-key>'}};

fetch('https://api.example.com/v1/devices/hvac/{id}/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deviceId": "ws_device_123456789",
  "systemDetails": {
    "name": "Living room thermostat",
    "tempUnits": "F",
    "defaultMode": "AUTO"
  },
  "targetCoolSetpoint": 74,
  "targetHeatSetpoint": 68,
  "maxTemp": 78,
  "minTemp": 60,
  "currentTemp": 71,
  "coolingRate": 1,
  "heatingRate": 1,
  "heatTransferCoefficient": 1,
  "irradianceCoefficient": 0.5,
  "thermodynamicValuesUpdatedAt": "2025-01-02T12:00:00.000Z",
  "lastSetPointSchedule": null,
  "lastOptimizationRunData": null,
  "deleted": false
}

Authorizations

x-ws-api-key
string
header
required

WattShift API key

Headers

x-ws-api-key
string

WattShift API Key

Path Parameters

id
string
required

Response

200 - application/json
deviceId
string
required
systemDetails
required
lastSetPointSchedule
any
required
lastOptimizationRunData
any
required
deleted
boolean
required
targetCoolSetpoint
number | null
targetHeatSetpoint
number | null
maxTemp
number | null
minTemp
number | null
currentTemp
number | null
coolingRate
number | null
heatingRate
number | null
heatTransferCoefficient
number | null
irradianceCoefficient
number | null
thermodynamicValuesUpdatedAt
unknown